| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::gapi::s11n::IOStream Struct Referenceabstract

This structure is an interface for serialization routines. More...

`#include <opencv2/gapi/s11n.hpp>`

Collaboration diagram for cv::gapi::s11n::IOStream:

## Public Member Functions
virtual | ~IOStream ()=default
virtual IOStream & | operator<< (bool)=0
virtual IOStream & | operator<< (char)=0
virtual IOStream & | operator<< (const std::string &)=0
virtual IOStream & | operator<< (double)=0
virtual IOStream & | operator<< (float)=0
virtual IOStream & | operator<< (int)=0
virtual IOStream & | operator<< (short)=0
virtual IOStream & | operator<< (uint32_t)=0
virtual IOStream & | operator<< (uint64_t)=0
virtual IOStream & | operator<< (unsigned char)=0
virtual IOStream & | operator<< (unsigned short)=0

## Detailed Description

This structure is an interface for serialization routines.

It's main purpose is to provide multiple overloads for operator<<() with basic C++ in addition to OpenCV/G-API types.

This sctructure can be inherited and further extended with additional types.

For example, it is utilized in cv::gapi::s11n::detail::S11N as input parameter in serialize() method.

## Constructor & Destructor Documentation

## ◆ ~IOStream()

virtual cv::gapi::s11n::IOStream::~IOStream | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ operator<<() [1/11]

virtual IOStream & cv::gapi::s11n::IOStream::operator<< | ( | bool |  | ) |
| pure virtual

## ◆ operator<<() [2/11]

virtual IOStream & cv::gapi::s11n::IOStream::operator<< | ( | char |  | ) |
| pure virtual

## ◆ operator<<() [3/11]

virtual IOStream & cv::gapi::s11n::IOStream::operator<< | ( | const std::string & |  | ) |
| pure virtual

## ◆ operator<<() [4/11]

virtual IOStream & cv::gapi::s11n::IOStream::operator<< | ( | double |  | ) |
| pure virtual

## ◆ operator<<() [5/11]

virtual IOStream & cv::gapi::s11n::IOStream::operator<< | ( | float |  | ) |
| pure virtual

## ◆ operator<<() [6/11]

virtual IOStream & cv::gapi::s11n::IOStream::operator<< | ( | int |  | ) |
| pure virtual

## ◆ operator<<() [7/11]

virtual IOStream & cv::gapi::s11n::IOStream::operator<< | ( | short |  | ) |
| pure virtual

## ◆ operator<<() [8/11]

virtual IOStream & cv::gapi::s11n::IOStream::operator<< | ( | uint32_t |  | ) |
| pure virtual

## ◆ operator<<() [9/11]

virtual IOStream & cv::gapi::s11n::IOStream::operator<< | ( | uint64_t |  | ) |
| pure virtual

## ◆ operator<<() [10/11]

virtual IOStream & cv::gapi::s11n::IOStream::operator<< | ( | unsigned char |  | ) |
| pure virtual

## ◆ operator<<() [11/11]

virtual IOStream & cv::gapi::s11n::IOStream::operator<< | ( | unsigned short |  | ) |
| pure virtual

The documentation for this struct was generated from the following file:

- opencv2/gapi/s11n.hpp